/**
* Interface for distance measuring classes.
*/
interface DistanceSensor {
	public double readDistance();
}
/**
* This class describes a sonar sensor.
* readDistance() must be implemented here
*/
class SonarSensor implements DistanceSensor {
	public double readDistance() {
		//specific implementation of readDistance()
	}
}
/**
* This class describes a laser scanner.
* readDistance() must be implemented here as well
*/
class LaserScanner implements DistanceSensor {
	private int degree = 0;
	public double readDistance() {
		//specific implementation of readDistance()
	}
	public void changeDirection(int degrees) {
		degree = degrees;
	}
}

public class GoToWall {
	public static void main(String[] args) {
		DistanceSensor sensor;
		sensor = new SonarSensor();
		while (!(sensor.readDistance() < 3.0)) {
			/*add implementation here
			e.g. robot moves forwards*/
		}
		//and stops motors afterwards
	}
}