import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
/**
* This class starts a thread and interrupts it after Button ENTER is pressed.
*/
public class Parent {
	public static void main(String args[]) throws InterruptedException {
        Child child = new Child();
        //start child-thread
        child.start();
        //wait until button ESCAPE is pressed
        Button.ESCAPE.waitForPress();
        child.interrupt();
    }
}
/**
* This class represents a Thread.
* It reads color-values and displays them as long as it isn't interrupted.
*/
class Child extends Thread {

	public void run() {
        //declaration and definition of an EV3ColorSensor
		EV3ColorSensor sensor = new EV3ColorSensor(SensorPort.S1);
		sensor.setCurrentMode("RGB");
        //array to store color-values in
		float[] color = new float[sensor.sampleSize()];
        
    	while (!Thread.currentThread().isInterrupted()) {
    		//read and store color-values in array
			sensor.fetchSample(color,0);
			//display color-values on LCD
			LCD.drawString("Red component: " + Float.toString(color[0]), 0, 0);
			LCD.drawString("Green component: " + Float.toString(color[1]), 0, 1);
			LCD.drawString("Blue component: " + Float.toString(color[2]), 0, 2);
			//wait for one second
			try {Thread.sleep(1000);}
			catch (InterruptedException intExc) {
				this.interrupt();
				break;
			}
    	}
    }
}