import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.SampleProvider;
/**
* This class describes a color probe.
* It fetches a RGB-sample after ENTER is pressed.
*/
public class ColorProbe {
	
	private EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
	private float[] sample
	/**
	* Constructor for setting sensor-mode to "RGB"
	*/
	ColorProbe() {
		colorSensor.setCurrentMode("RGB");
		sample = new float[colorSensor.sampleSize()];
	}
	/**
	* Method for getting a sample and printing the RGB-values
	*/
	private void getAndPrintData() {
		LCD.drawString("ENTER for sample", 0, 0);
		while (Button.waitForAnyPress() == Button.ID_ENTER) {
			colorSensor.fetchSample(sample, 0);
			LCD.drawString("Red: " + sample[0], 0, 1);
			LCD.drawString("Green: " + sample[1], 0, 2);
			LCD.drawString("Blue: " + sample[2], 0, 3);
		}
	}
	
	public static void main(String[] args) {
		ColorProbe ourProbe = new ColorProbe();
		ourProbe.getAndPrintData();
	}
}