import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.hardware.sensor.EV3TouchSensor;

/**
* This class implements a color probe, that is triggered by a EV3-TouchSensor
*/
public class ColorProbeTouch {
	
	EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
	EV3TouchSensor touchSensor = new EV3TouchSensor(SensorPort.S2);
	private float[] colorSample;
	private float[] touchSample;
	/**
	* Constructor for getting RGBMode- Sample Provider
	*/
	ColorProbeTouch() {
		colorSensor.setCurrentMode("RGB");
		touchSensor.setCurrentMode("Touch");
		colorSample = new float[colorSensor.sampleSize()];
		touchSample = new float[touchSensor.sampleSize()];		
	}
	/**
	* Method for getting a sample and printing the color-values
	*/
	public void getAndPrintData() {
		while (Button.ENTER.isUp()) {
			LCD.drawString("Touch for sample",0,0);
			do {
				touchSensor.fetchSample(touchSample,0);
			} while ((touchSample[0] == 0.0) && Button.ENTER.isUp());
			touchSample[0] = 0.0F;
			colorSensor.fetchSample(colorSample, 0);
			LCD.drawString("Red: " + colorSample[0], 0, 1);
			LCD.drawString("Green: " + colorSample[1], 0, 2);
			LCD.drawString("Blue: " + colorSample[2], 0, 3);
		}
	}
	
	public static void main(String[] args) {
		ColorProbeTouch ourProbe = new ColorProbeTouch();
		ourProbe.getAndPrintData();
	}
}