import lejos.hardware.Button;
import lejos.hardware.Sound;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3UltrasonicSensor;
import lejos.utility.Delay;

public class UltrasonicRoberta {
	
	private EV3UltrasonicSensor uSensor = new EV3UltrasonicSensor(SensorPort.S4);
	private float[] sample;
	/**
	* Constructor for setting sensor-mode to "Distance"
	*/
	UltrasonicRoberta() {
		uSensor.setCurrentMode("Distance");
		sample = new float[uSensor.sampleSize()]
	}
	/**
	* This method plays 250ms long tones with different frequencies.
	* The frequencies depend on measured distances from the ultrasonic sensor in distance-mode.
	*/
	private void sing() {
		int frequency;
		
		while (Button.ENTER.isUp()) {
			uSensor.fetchSample(sample, 0);
			frequency = (int) (sample[0] * 2000);
			LCD.drawString(""+frequency, 0, 0);
			Sound.playTone(frequency, 250);
			Delay.msDelay(250);
			LCD.clear();
		}
	}
	
	public static void main(String[] args) {
		UltrasonicRoberta roberta = new UltrasonicRoberta();
		roberta.sing();
	}
}

