import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.robotics.navigation.DifferentialPilot;


/**
 * This class describes a Roberta-robot that moves along a squared path.
 * It uses the "DifferentialPilot" class to do so.
 */
public class DifferentialRoberta {
	private EV3LargeRegulatedMotor engineR = new EV3LargeRegulatedMotor(MotorPort.B);
	private EV3LargeRegulatedMotor engineL = new EV3LargeRegulatedMotor(MotorPort.C);
	private DifferentialPilot pilot = new DifferentialPilot(5.5, 12.5, engineL, engineR);
	
	private void driveSquare() {
		for (int i = 0; i < 4; i++) {
			pilot.travel(30);
			pilot.rotate(-90);
		}
	}
	
	public static void main(String[] args) {
		DifferentialRoberta roberta = new DifferentialRoberta();
		roberta.driveSquare();
	}
}