import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.SampleProvider;
import lejos.robotics.filter.MaximumFilter;

/**
 * This class implements a simple ambientlight-probe.
 * It takes a sample on ENTER and prints the maximum of
 * the last five measurements on the display.
 */
public class FilterTest {

	public static void main(String[] args) {
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
		SampleProvider spAmbient = colorSensor.getAmbientMode();
		SampleProvider max = new MaximumFilter(spAmbient, 5);
		
		float[] sample = new float[spAmbient.sampleSize()];
		
		while(Button.ESCAPE.isUp()) {
			Button.ENTER.waitForPress();
			max.fetchSample(sample, 0);
			LCD.drawString("Max. of last 5:", 0, 0);
			LCD.drawString(Float.toString(sample[0]), 0, 1);
		}
	}
}
