import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.utility.Stopwatch;

/**
 * This class describes a simple stopwatch-program.
 * The ENTER-Button starts and stops the measurement.
 * The passed time is the printed on the EV3-display. 
 */
public class StopwatchTester {
	private Stopwatch timer = new Stopwatch();
	
	private void startMeasuring() {
		int time;
		timer.reset();
		LCD.drawString("Timer started", 0, 1);
		
		Button.ENTER.waitForPress();
		time = timer.elapsed();
		LCD.drawString("Timer stopped", 0, 2);
		
		LCD.drawString("", 0, 3);
		LCD.drawString("Time passed:", 0, 4);
		LCD.drawString(time + " milliseconds", 0, 5);
		LCD.drawString((time / 1000.0) + " seconds", 0, 6);
	}
	
	public static void main(String[] args) {
		StopwatchTester watch = new StopwatchTester();
		LCD.drawString("ENTER to start", 0, 0);
		Button.ENTER.waitForPress();

		watch.startMeasuring();
		
		LCD.drawString("ESCAPE to exit", 0, 7);
		Button.ESCAPE.waitForPress();
	}
}